Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.benchmark.statistic
Class AbstractSolverStatistic

    java.lang.Object
      org.drools.planner.benchmark.statistic.AbstractSolverStatistic

All Implemented Interfaces:
  SolverStatistic

Direct Known Subclasses:
  BestScoreStatistic, CalculateCountStatistic, MemoryUseStatistic

    public abstract class AbstractSolverStatistic

extends Object
implements SolverStatistic

Nested Class Summary
`protected static class` | `AbstractSolverStatistic.AbstractSolverStatisticScvLine`

Field Summary
`protected SolverStatisticType` | `solverStatisticType`

Constructor Summary
`protected` | `AbstractSolverStatistic(SolverStatisticType solverStatisticType)`

Method Summary
`protected abstract CharSequence` | `writeCsvStatistic(File solverStatisticFilesDirectory, String baseName)`
`protected abstract CharSequence` | `writeGraphStatistic(File solverStatisticFilesDirectory, String baseName)`
`CharSequence` | `writeStatistic(File solverStatisticFilesDirectory, String baseName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.planner.benchmark.statistic.SolverStatistic
`addListener, removeListener`

Field Detail

### solverStatisticType

    protected SolverStatisticType solverStatisticType

Constructor Detail

### AbstractSolverStatistic

    protected AbstractSolverStatistic(SolverStatisticType solverStatisticType)

Method Detail

### writeStatistic

    public CharSequence writeStatistic(File solverStatisticFilesDirectory,
                                       String baseName)

  Specified by:
    `writeStatistic` in interface `SolverStatistic`
  Parameters:
    `solverStatisticFilesDirectory` - never null
    `baseName` - never null
  Returns:
    a htmFragment, never null

### writeCsvStatistic

    protected abstract CharSequence writeCsvStatistic(File solverStatisticFilesDirectory,
                                                      String baseName)

### writeGraphStatistic

    protected abstract CharSequence writeGraphStatistic(File solverStatisticFilesDirectory,
                                                        String baseName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss by Red Hat. All Rights Reserved.